# PublicAssets

API Documentation: | `PublicAssets`

Note: This class is incubating and may change in a future version of Gradle.

A set of public assets added to a binary.

### Properties

Property | Description
`assetDirs` | Incubating A set of asset directories for this binary.

### Methods

Method | Description
`addAssetDir(resourceDir)` | Incubating Add an asset directory to this binary.

### Script blocks

No script blocks

### Property details

#### ``Set`<`File`>` `assetDirs` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

A set of asset directories for this binary.

### Method details

#### `void` `addAssetDir`(`File` resourceDir)

Note: This method is incubating and may change in a future version of Gradle.

Add an asset directory to this binary.